## ros-lunar-xsens-driver 2.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(xsens_driver)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  rospy std_msgs tf sensor_msgs geometry_msgs diagnostic_msgs
)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES test_py
  CATKIN_DEPENDS rospy std_msgs tf sensor_msgs geometry_msgs diagnostic_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp library
# add_library(test_py
#   src/${PROJECT_NAME}/test_py.cpp
# )

## Declare a cpp executable
# add_executable(test_py_node src/test_py_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(test_py_node test_py_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(test_py_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )
install(PROGRAMS
  nodes/mtnode.py
  nodes/mtdef.py
  nodes/mtdevice.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
# install(TARGETS test_py test_py_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
install(
  DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_test_py.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-lunar-xsens-driver (2.2.2-0xenial) xenial; urgency=high

  * fix exception while closing node
  * Contributors: Francis Colas

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Wed, 01 Aug 2018 22:00:00 -0000

ros-lunar-xsens-driver (2.2.1-0xenial) xenial; urgency=high

  * fix frame reorientation (only for orientation and linear velocity)
  * fix skip-factor command line (#80 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/80>)
  * Contributors: Francis Colas

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Wed, 01 Aug 2018 22:00:00 -0000

ros-lunar-xsens-driver (2.2.0-0xenial) xenial; urgency=high

  * initial_wait argument for MTDevice, node and launch file
  * separate gps_msg from Position Data
  * handle both alignment rotation versions
  * fix GetAlignmentRotation
  * new timeout command line argument
  * catch timeout exception while writing messages
  * Feat/configurable covariance diagonals (#65 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/65>)
  * catch timeout exception during inspect (#60 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/60>)
  * Fix conversion from UTC to epoch time for /time_reference (#56 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/56>)
  * fix bug in sample time fine
  * add missing package dependency on python-serial (#54 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/54>)
  * support delta q (#49 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/49>)
  * Synchronization settings and UTC time extension (#46 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/46>)
  * full list of error codes and messages
  * Contributors: Alex Naiman, Atsushi Watanabe, Di Zeng, Francis Colas, Rein Appeldoorn, juichung kuo

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Sun, 15 Jul 2018 22:00:00 -0000

ros-lunar-xsens-driver (2.1.0-0xenial) xenial; urgency=high

  * Add no_rotation_duration option
  * Fix typo (#39 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/39>)
  * Fix gnss pvt parsing (#37 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/37>)
  * fix GetOptionFlags (#34 <https://github.com/ethz-asl/ethzasl_xsens_driver/issues/34>)
  * Contributors: Andersw88, Francis Colas

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Thu, 13 Apr 2017 22:00:00 -0000

ros-lunar-xsens-driver (2.0.1-0xenial) xenial; urgency=high

  * fix TimeReference member name
  * Contributors: Francis Colas

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Mon, 15 Aug 2016 22:00:00 -0000

ros-lunar-xsens-driver (2.0.0-0xenial) xenial; urgency=high

  * support of mark iv devices (configuration and ROS node)
  * remove gps_common dependency (for jade and kinetic)
  * work in 16.04 with pyserial3
  * proper message types for temperature, pressure, magnetic field and time
  * better timeout management
  * various bug fixes
  * Contributors: CTU robot, Francis Colas, João Sousa, Konstantinos Chatzilygeroudis, Latitude OBC, Vincent Rousseau, fcolas, jotaemesousa

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Mon, 01 Aug 2016 22:00:00 -0000

ros-lunar-xsens-driver (1.0.3-0xenial) xenial; urgency=high

  * Inclusion of launch file
  * Additions and fixes from PAL robotics
  * Add local frame conversion for calibrated imu data (acc, gyr, mag)
  * Contributors: Enrique Fernandez, Francis Colas, Paul Mathieu, Sam Pfeiffer

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Tue, 13 May 2014 22:00:00 -0000

ros-lunar-xsens-driver (1.0.2-0xenial) xenial; urgency=high

  * catkinized
  * experimental support of mark 4 IMUs
  * fixed scaling in DOP values
  * adding publisher for full data as a string
  * relative topic names

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Mon, 03 Mar 2014 23:00:00 -0000

ros-lunar-xsens-driver (1.0.1-0xenial) xenial; urgency=high

  * minor improvements
  * naming cleanup
  * Contributors: Benjamin Hitov, Francis Colas, Nikolaus Demmel, Stéphane Magnenat, fcolas

 -- Francis Colas <francis.colas@mavt.ethz.ch>  Sun, 26 Aug 2012 22:00:00 -0000

=== debian/control ===
Source: ros-lunar-xsens-driver
Section: misc
Priority: extra
Maintainer: Francis Colas <francis.colas@mavt.ethz.ch>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-diagnostic-msgs, ros-lunar-geometry-msgs, ros-lunar-rospy, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-xsens-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-serial, ros-lunar-diagnostic-msgs, ros-lunar-geometry-msgs, ros-lunar-rospy, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-tf
Description: ROS Driver for XSens MT/MTi/MTi-G devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-xsens-driver//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
